import configparser
import os
from os.path import expanduser
from typing import Dict


def create_cfg_file(dir: str) -> None:
    config_write = configparser.ConfigParser()
    config_write.add_section("alvin")
    config_write["alvin"]["ALVIN_API_TOKEN"] = "your_newly_generated_token"
    config_write["alvin"]["ALVIN_UI_HOST"] = "your_platform_id"
    config_write["alvin"]["ALVIN_API_HOST"] = "https://app.alvin.ai"
    config_write["alvin"]["ALVIN_PLATFORM_ID"] = "https://app.alvin.ai"
    config_write["alvin"]["DEBUG"] = "true"

    with open(dir + "/alvin.cfg", "w") as f:
        config_write.write(f)


def load_cfg_file() -> Dict:
    config_read = configparser.ConfigParser()
    user_config_dir = expanduser("~") + "/alvin"
    user_config = user_config_dir + "/alvin.cfg"

    if not os.path.isfile(user_config):
        return {}

    config_read.read(user_config)

    if config_read:
        credentials = {
            "alvin_api_token": config_read["alvin"]["ALVIN_API_TOKEN"],
            "alvin_ui_host": config_read["alvin"]["ALVIN_UI_HOST"],
            "alvin_api_host": config_read["alvin"]["ALVIN_API_HOST"],
            "alvin_platform_id": config_read["alvin"]["ALVIN_PLATFORM_ID"],
        }
        return credentials

    return {}
