import os

from dotenv import load_dotenv

from alvin_cli.config.loader import load_cfg_file
from alvin_cli.schemas.models import CamelBaseModel


class Settings(CamelBaseModel):
    alvin_api_host: str = "https://app.alvin.ai"
    alvin_ui_host: str = "https://app.alvin.ai"
    alvin_api_token: str
    alvin_platform_id: str

    def __init__(self) -> None:

        cfg_file = load_cfg_file()
        load_dotenv()

        if not cfg_file:
            load_dotenv(f"{os.getcwd()}/.env")
            kwargs = {
                "alvin_api_token": os.getenv("ALVIN_API_TOKEN"),
                "alvin_platform_id": os.getenv("ALVIN_PLATFORM_ID"),
            }
        else:
            kwargs = cfg_file

        super(Settings, self).__init__(**kwargs)
