from enum import Enum

from humps import camelize
from pydantic import BaseModel


def to_camel(s: str) -> str:
    return camelize(s)


class CamelBaseModel(BaseModel):
    class Config:
        alias_generator = to_camel
        allow_population_by_field_name = True


class OutputFormat(str, Enum):
    json = "json"
    table = "table"
    yaml = "yaml"
